package gui;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import utilidades.Preguntas;

public class frmComplete
        extends JFrame implements MouseListener, ActionListener {

    JTextField txtRespuesta;
    JLabel lblPregunta,
            lblOp1, lblOp2,
            lblOp3, lblOp4;
   int nroRespuesta=0;
   
    JButton btnOk, btnSiguiente,
            btn0,btn1,btn2;
    String ruta = "/imagenes/";
// paquete de las imagenes

    public frmComplete(String titulo,
            int ancho, int alto) {
        setLayout(null);// evitar distribuciones
        setTitle(titulo);
        setSize(ancho, alto);
        setLocationRelativeTo(this);
        txtRespuesta = new JTextField("");
        lblPregunta = new JLabel("");
        lblOp1 = new JLabel("");
        lblOp2 = new JLabel("");
        lblOp3 = new JLabel("");
        lblOp4 = new JLabel("");
        btnOk = new JButton("Ok");
        btnSiguiente = new JButton("Continuar");
        btn0 =new JButton("0");
        btn1 =new JButton("1");
        btn2 =new JButton("2");
        
        
        // tamaños y coordenadas
        txtRespuesta.setBounds(10, 20, 80, 20);
        lblPregunta.setBounds(100, 20, 300, 20);
        lblOp1.setBounds(10, 50, 200, 20);
        lblOp2.setBounds(10, 80, 200, 20);
        lblOp3.setBounds(10, 110, 200, 20);
        lblOp4.setBounds(10, 140, 200, 20);
        btnOk.setBounds(200, 50, 50, 20);
        btnSiguiente.setBounds(250, 50, 100, 20);
        btn0.setBounds(10, 170,50, 20);
        btn1.setBounds(60, 170,50, 20);
        btn2.setBounds(110, 170,50, 20);
        
       // btn0.setBounds(250, 80, 100, 20);
        
        

        // add al JPanel
        add(txtRespuesta);
        add(lblPregunta);
        add(lblOp1);
        add(lblOp2);
        add(lblOp3);
        add(lblOp4);
        add(btnOk);
        add(btnSiguiente);
        add(btn0);
        add(btn1);
        add(btn2);
        

        lblOp1.addMouseListener(this);
        lblOp2.addMouseListener(this);
        lblOp3.addMouseListener(this);
        lblOp4.addMouseListener(this);
        btnOk.addActionListener(this);
        btnSiguiente.addActionListener(this);
        txtRespuesta.setEditable(false);
        btn0.addActionListener(this);
        btn1.addActionListener(this);
        btn2.addActionListener(this);
        
        

        setVisible(true);
    }// fin del constructor

    public static void main(String[] args) {
//   new frmComplete("Complete", 400, 300);
        frmComplete p1
                = new frmComplete("Complete", 400, 300);
    }

    @Override
    public void mouseClicked(MouseEvent e) {
        if (e.getSource() == lblOp1) {

            txtRespuesta.setText(lblOp1.getText());

        }
        if (e.getSource() == lblOp2) {

            txtRespuesta.setText(lblOp2.getText());

        }
        if (e.getSource() == lblOp3) {

            txtRespuesta.setText(lblOp3.getText());

        }
        if (e.getSource() == lblOp4) {

            txtRespuesta.setText(lblOp4.getText());
        }

    }

    @Override
    public void mousePressed(MouseEvent e) {

    }

    @Override
    public void mouseReleased(MouseEvent e) {

    }

    @Override
    public void mouseEntered(MouseEvent e) {
        if (e.getSource() == lblOp1) {
            setCambiarColor(1);
        }
        if (e.getSource() == lblOp2) {
            setCambiarColor(2);
        }
        if (e.getSource() == lblOp3) {
            setCambiarColor(3);
        }
        if (e.getSource() == lblOp4) {
            setCambiarColor(4);
        }

        // aqui
    }

    @Override
    public void mouseExited(MouseEvent e) {
    }

    public void setCambiarColor(int n) {
        if (n == 1) {
            lblOp1.setForeground(Color.BLUE);
            lblOp2.setForeground(Color.BLACK);
            lblOp3.setForeground(Color.BLACK);
            lblOp4.setForeground(Color.BLACK);
            lblOp1.setToolTipText("Haga click Seleccionar " + lblOp1.getText());
        }
        if (n == 2) {
            lblOp2.setForeground(Color.BLUE);
            lblOp1.setForeground(Color.BLACK);
            lblOp3.setForeground(Color.BLACK);
            lblOp4.setForeground(Color.BLACK);
        }
        if (n == 3) {
            lblOp2.setForeground(Color.BLACK);
            lblOp1.setForeground(Color.BLACK);
            lblOp3.setForeground(Color.BLUE);
            lblOp4.setForeground(Color.BLACK);

        }
        if (n == 4) {
            lblOp2.setForeground(Color.BLACK);
            lblOp1.setForeground(Color.BLACK);
            lblOp3.setForeground(Color.BLACK);
            lblOp4.setForeground(Color.BLUE);
        }

    }

    @Override
    public void actionPerformed(ActionEvent e) {
        String res = txtRespuesta.getText().trim();// borrar espacios
        res = res.replace(" ", "");
        if (e.getSource() == btnOk) {
            if (res.length() > 0) {
                //if (res.equals("MouseListener")) {
                if (res.equals(Preguntas.getRespuesta(nroRespuesta))) {
                    txtRespuesta.setBackground(Color.green);
                    JOptionPane.showMessageDialog(null, "Ok Punto ");

                } else {
                    txtRespuesta.setBackground(Color.yellow);
                    txtRespuesta.setEditable(false);
                         JOptionPane.showMessageDialog(null, "Error");
                }// fin si respuesta correct

            } else {
                JOptionPane.showMessageDialog(null, "Debes seleccionar una opciòn");
            }// fin si seleccionò una opcion

        }// fin btn Ok
        if (e.getSource()==btn0) {
           lblPregunta.setText(Preguntas.getPregunta(0));
           lblOp1.setText(Preguntas.getOpcion(4));
           lblOp2.setText(Preguntas.getOpcion(5));
           lblOp3.setText(Preguntas.getOpcion(6));
           lblOp4.setText(Preguntas.getOpcion(7));
           nroRespuesta =0;
           
            
        }
         if (e.getSource()==btn1) {
           lblPregunta.setText(Preguntas.getPregunta(1));
             nroRespuesta =1;
            
        }
          if (e.getSource()==btn2) {
           lblPregunta.setText(Preguntas.getPregunta(2));
             nroRespuesta =2;
            
        }
        
        
    }
}
